Summary:        Prelude Hybrid Intrusion Detection System - Network Sensor
Name:           prelude-nids
Version:        0.8.5
Release:        alt2
License:        GPL
Group:          Networking/Other
URL:            http://www.prelude-ids.org/
Source:		http://www.prelude-ids.org/download/releases/%name-%version.tar.gz
BuildRequires:  libprelude-devel
Requires:	libprelude >= 0.8.4
Requires:	libssl

# Automatically added by buildreq on Wed Nov 05 2003
BuildRequires: flex gtk-doc libprelude-devel-static libssl-devel

%description
Prelude NIDS is the network-based sensor program part of the Prelude
Hybrid IDS suite. It provides network monitoring with fast pattern
matching (Boyer-Moore) to detect attacks against a network. It
includes advanced mechanisms such as a generic signature engine which
is able to understand any ruleset as long as there is a dedicated
parser, protocol and detection analysis plugins featuring Telnet, RPC,
HTTP, and FTP decoding and preprocessors for cross-platform
polymorphic shellcodes detection, ARP misuse detection, and scanning
detection.  It supports IP fragmentation and TCP segmentation to track
connections and detect stateful events.

%description -l uk_UA.KOI8-U
Prelude NIDS Ѥ       
Prelude Hybrid IDS.  դ Φ ֦ ڦ 
   (  ʤ-)   
.      Ԧ Φ ˦ 
  ,   ͦ -˦ ,
   Φ צצ    
Ц, ̦ ̦  Ǧ-̦,  
˦   Telnet, RPC, HTTP  FTP, ̦ 
 ͦ  shellcodes, Цͦ ARP- 
.  Ц IP-æ  TCP-æ
'   stateful Ħ.

%description -l ru_RU.KOI8-R
Prelude NIDS --        Prelude
Hybrid IDS.        
 (  -)    . 
         
,     , 
 ,    , 
  -,     
Telnet, RPC, HTTP  FTP,    
 shellcodes,  ARP-  . 
 IP-  TCP-  
 stateful .

%package devel
Summary: Libraries, includes, etc. to develop Prelude IDS sensors
Group: Development/C
Requires: %name = %version

%package devel-static
Summary: Libraries, includes, etc. to develop Prelude IDS sensors
Group: Development/C
Requires: %name = %version
Requires: %name-devel

%description devel
Prelude NIDS is the network-based sensor program part of the Prelude
Hybrid IDS suite. It provides network monitoring with fast pattern
matching (Boyer-Moore) to detect attacks against a network.

This package contains headers files, requires for build own plugins
for Prelude NIDS.

Install this package if you want to communication with Prelude NIDS.

%description -l uk_UA.KOI8-U devel
Prelude NIDS Ѥ       
Prelude Hybrid IDS.  դ Φ ֦ ڦ 
   (  ʤ-)   
.

  ͦ  ¦  ˦, ˦ ȦΦ 
  ǦΦ  Prelude NIDS.

צ  ,     Φ Ǧ 
Prelude NIDS.

%description -l ru_RU.KOI8-R devel
Prelude NIDS --        Prelude
Hybrid IDS.        
 (  -)    .

       
   Prelude NIDS

  ,       
Prelude NIDS.

%description devel-static
Prelude NIDS is the network-based sensor program part of the Prelude
Hybrid IDS suite. It provides network monitoring with fast pattern
matching (Boyer-Moore) to detect attacks against a network.

This package contains statically builded libraries for Prelude NIDS.

%description -l uk_UA.KOI8-U devel-static
Prelude NIDS Ѥ       
Prelude Hybrid IDS.  դ Φ ֦ ڦ 
   (  ʤ-)   
.

  ͦ  ¦ Φ  ¦̦ Prelude NIDS.

%description -l ru_RU.KOI8-R devel-static
Prelude NIDS --        Prelude
Hybrid IDS.        
 (  -)    .

      Prelude NIDS.

%prep
%setup -q

%build
%configure \
	--localstatedir=%_var \
	--sysconfdir=%_sysconfdir/prelude \
	--prefix=%_usr \
	--enable-gtk-doc
%make

%install
%__mkdir_p $RPM_BUILD_ROOT
%make \
	DESTDIR=$RPM_BUILD_ROOT \
	install

%files
%doc AUTHORS ChangeLog README INSTALL
%_bindir/%name
%_libdir/%name/detects/*.so
%_libdir/%name/protocols/*.so
%config(noreplace) %_sysconfdir/prelude/%name/*
%_man8dir/*

%files devel
%_includedir/%name/*.h

%files devel-static
%_libdir/%name/detects/*.la
%_libdir/%name/protocols/*.la

%changelog
* Thu Nov  6 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.5-alt2
- Minor fixes in dependencies

* Wed Nov  5 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.5-alt1
- New release

* Sun Oct 12 2003 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 0.8.4-alt2
- Minor fixes in spec

* Wed Oct 08 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.4-alt1
- New release

* Sun May 18 2003 Serhii Hlodin <hlodin@altlinux.ru> 0.8.1-alt1
- Initial build based on original spec-file
